﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Collections;
using System.Web.Caching;

/// <summary>
/// Summary description for CustomerService
/// </summary>
public class CustomerService
{
	public CustomerService()
	{
	}

    public ICollection GetAllCustomers() 
    {
        try
        {
            using (NWDataContext nwDataContext = new NWDataContext())
            {
                return nwDataContext.Customers.ToArray();
            }
        }
        catch (Exception e) 
        {
            return null;
        }
    }

    public bool Update(Customer customer) 
    {
        try
        {
            using (NWDataContext dataContext = new NWDataContext())
            {
                var cust = dataContext.Customers.Single(c => c.CustomerID == customer.CustomerID);
                cust.Region = customer.Region;
                dataContext.SubmitChanges();
            }
        }
        catch (Exception e) 
        {
            return false;
        }
        return true;
    }
}
